version: 1.7.12
files:
  - url: Cherry-Studio-1.7.12-arm64.AppImage
    sha512: c5sEWz0YD0p1qOfc363HjuNWiRKv/Qe/Y8Z+6GBL437VpqdC8hyhB+RmUtKOCdxxwrFmRiYR6LjyLXqBrbYlRQ==
    size: 202652948
    blockMapSize: 211040
  - url: Cherry-Studio-1.7.12-arm64.deb
    sha512: p5L8R0wLx629L0ui2A61Uu5UtKDUuoFkQW9h7zcpUPxtJ5JEqEFs+mAO6OCjTRUMFA3fZp1iKcT1UCu2QHp++A==
    size: 151901224
  - url: Cherry-Studio-1.7.12-aarch64.rpm
    sha512: ZVrAD/rrIPl432DEcCNORV6aFmJ9OcV44ckDPrj01y02A6ErLQOL2E5H98QEi0QVNISqEY1gaY1d5Oy+dYJ7bA==
    size: 120584305
path: Cherry-Studio-1.7.12-arm64.AppImage
sha512: c5sEWz0YD0p1qOfc363HjuNWiRKv/Qe/Y8Z+6GBL437VpqdC8hyhB+RmUtKOCdxxwrFmRiYR6LjyLXqBrbYlRQ==
releaseNotes: |
  <!--LANG:en-->
  Cherry Studio 1.7.12 - New Features & Bug Fixes

  ✨ New Features
  - [MCP] Add MCP Hub with Auto mode for intelligent multi-server tool orchestration

  🐛 Bug Fixes
  - [Chat] Fix reasoning process not displaying correctly for some proxy models
  - [Chat] Fix duplicate loading spinners on action buttons
  - [Editor] Fix paragraph handle and plus button not clickable
  - [Drawing] Fix TokenFlux models not showing in drawing panel
  - [Translate] Fix translation stalling after initialization
  - [Error] Fix app freeze when viewing error details with large images
  - [Notes] Fix folder overlay blocking webview preview
  - [Chat] Fix thinking time display when stopping generation
  - [Providers] Add cache control options for Anthropic provider

  <!--LANG:zh-CN-->
  Cherry Studio 1.7.11 - 新功能与问题修复

  ✨ 新功能
  - [MCP] 新增 MCP Hub 智能模式，可自动管理和调用多个 MCP 服务器工具

  🐛 问题修复
  - [对话] 修复部分代理模型的推理过程无法正确显示的问题
  - [对话] 修复操作按钮重复显示加载状态的问题
  - [编辑器] 修复段落手柄和加号按钮无法点击的问题
  - [绘图] 修复 TokenFlux 模型在绘图面板不显示的问题
  - [翻译] 修复翻译功能初始化后卡住的问题
  - [错误] 修复查看包含大图片的错误详情时应用卡死的问题
  - [笔记] 修复文件夹遮挡网页预览的问题
  - [对话] 修复停止生成时思考时间显示问题
  - [服务商] Anthropic 服务商增加缓存控制选项
  <!--LANG:END-->
releaseDate: '2026-01-08T09:54:05.273Z'
